cwlVersion: v1.0
class: CommandLineTool
label: Query GTEx Median Tissue Expression
doc: Use GTEx API to obtain median tissue expression for the given gene
baseCommand:
  - /app/cli/pwb.sh
  - GTExTissueExpressionFromGene
requirements:
  - class: DockerRequirement
    dockerImageId: maayanlab/playbook-partnership:0.73.1
inputs:
  inputs.gene:
    label: Gene
    doc: Gene Term
    type: File
    inputBinding:
      prefix: --inputs.gene=
      separate: false
  outputFilename:
    type: string
    default: output.json
    inputBinding:
      prefix: --output=
      separate: false
outputs:
  output:
    label: Scored Tissues
    doc: ZScores of Tissues
    type: File
    outputBinding:
      glob: $(inputs.outputFilename)
